Bug 223652 - Cannot mount Sony USB card reader MSAC-US30
Cannot mount Sony USB card reader MSAC-US30
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-21 04:05 EST by sisco Espasa
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 15:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sisco Espasa 2007-01-21 04:05:41 EST
Description of problem:

t's really important for me to work with this card reader. I'm using parallels
desktop for mac with Fedora Core 6. 
I've tried to mount the volume manually but without success 
Let me show my procedure :

1.-I check with : $ sudo lsscsi -l
[1:0:0:0]    disk    Sony     MSAC-US30        1.00  /dev/sdb
  state=offline queue_depth=1 scsi_level=3 type=0 device_blocked=0 timeout=60

2.-Then I try to mount :$ sudo mount -t vfat /dev/sdb /mnt/memorystick/

and i got "mount: /dev/sdb is not a valid block device"

I've tried with another flash device, but it works properly ...

I attach log from dmesg : (sorry for the length)  

sdb: Write Protect is off
sdb: Mode Sense: 00 6a 10 00
sdb: assuming drive cache: write through
sda: Write Protect is off
sda: Mode Sense: 53 00 00 08
sda: assuming drive cache: write through
SCSI device sda: 490234752 512-byte hdwr sectors (251000 MB)
sda: Write Protect is off
sda: Mode Sense: 53 00 00 08
sda: assuming drive cache: write through
 sda:<5>SCSI device sdb: 31680 512-byte hdwr sectors (16 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 6a 10 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 1:0:0:0: Attached scsi removable disk sdb
usb-storage: device scan complete
 unknown partition table
sd 0:0:0:0: Attached scsi disk sda
usb-storage: device scan complete
hdb: ATAPI 44X CD-ROM drive, 2048kB Cache
Uniform CD-ROM driver Revision: 3.20
intel_rng: FWH not detected
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.00 (08-Oct-2006)
iTCO_wdt: Found a ICH2 TCO device (Version=1, TCOBASE=0x1060)
iTCO_wdt: heartbeat value must be 2<heartbeat<39 (TCO v1) or 613 (TCO v2),
using 30
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
ne2k-pci.c:v1.03 9/22/2003 D. Becker/P. Gortmaker
  http://www.scyld.com/network/ne2k-pci.html
eth0: RealTek RTL-8029 found at 0x1080, IRQ 10, 00:E4:DC:9B:4A:F7.
input: PC Speaker as /class/input/input2
sd 1:0:0:0: Attached scsi generic sg0 type 0
sd 0:0:0:0: Attached scsi generic sg1 type 0
Floppy drive(s): fd0 is 1.44M
FDC 0 is an 8272A
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 27819 usecs
intel8x0: measured clock 294474 rejected
intel8x0: clocking to 48000
sd 1:0:0:0: SCSI error: return code = 0x10070000
end_request: I/O error, dev sdb, sector 33
Buffer I/O error on device sdb1, logical block 8
Buffer I/O error on device sdb1, logical block 9
Buffer I/O error on device sdb1, logical block 10
Buffer I/O error on device sdb1, logical block 11
Buffer I/O error on device sdb1, logical block 12
Buffer I/O error on device sdb1, logical block 13
Buffer I/O error on device sdb1, logical block 14
Buffer I/O error on device sdb1, logical block 15
Buffer I/O error on device sdb1, logical block 16
Buffer I/O error on device sdb1, logical block 17
lp: driver loaded but no devices found
sonypi: Sony Programmable I/O Controller Driver v1.26.
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
TSC appears to be running slowly. Marking it as unstable
Time: pit clocksource has been installed.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
mtrr: your processor doesn't support write-combining
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: multipath: version 1.0.5 loaded
usb 1-2: reset full speed USB device using uhci_hcd and address 3
usb 1-2: reset full speed USB device using uhci_hcd and address 3
usb 1-2: reset full speed USB device using uhci_hcd and address 3
usb 1-2: reset full speed USB device using uhci_hcd and address 3
usb 1-2: reset full speed USB device using uhci_hcd and address 3
sd 1:0:0:0: scsi: Device offlined - not ready after error recovery
sd 1:0:0:0: SCSI error: return code = 0x00050000
end_request: I/O error, dev sdb, sector 0
printk: 22 messages suppressed.
Buffer I/O error on device sdb, logical block 0
Buffer I/O error on device sdb, logical block 1
Buffer I/O error on device sdb, logical block 2
Buffer I/O error on device sdb, logical block 3
sd 1:0:0:0: rejecting I/O to offline device
Buffer I/O error on device sdb, logical block 0
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 1048568k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
across:1048568k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
ip6_tables: (C) 2000-2006 Netfilter Core Team
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (4096 buckets, 32768 max) - 232 bytes per conntrack
process `sysctl' is using deprecated sysctl (syscall)
net.ipv6.neigh.lo.base_reachable_time; Use
net.ipv6.neigh.lo.base_reachable_time_ms instead.
Loading iSCSI transport class v2.0-724.<5>iscsi: registered transport (tcp)
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
i2c /dev entries driver
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
eth0: no IPv6 routers present
mtrr: your processor doesn't support write-combining
hfs: unable to find HFS+ superblock
FAT: bogus number of reserved sectors
VFS: Can't find a valid FAT filesystem on dev sda.
usb 1-1: USB disconnect, address 2
Comment 1 Pete Zaitcev 2007-05-08 15:53:28 EDT
Mount /dev/sdb1, not /dev/sdb.

Note You need to log in before you can comment on or make changes to this bug.